
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'livermore/version'

Gem::Specification.new do |spec|
  spec.name          = 'livermore'
  spec.version       = Livermore::VERSION
  spec.authors       = ['Tony Rom']
  spec.email         = ['thetonyrom@gmail.com']

  spec.summary       = 'Trading Bot'
  spec.homepage      = 'https://github.com/thetonyrom/livermore'
  spec.license       = 'MIT'


  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'bin'
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'pry-byebug'

  spec.add_dependency 'coin_falcon', '~> 0.0.1'
  spec.add_dependency 'thor', '~> 0.20.0'
end
